library dotup_flutter_mockups;

import 'package:dotup_device_simulator/dotup_device_simulator.dart';
import 'package:flutter/material.dart';

import 'src/mockup_app.dart';
import 'src/mockup_descriptor.dart';
import 'src/settings/settings_controller.dart';
import 'src/settings/settings_service.dart';

export 'src/mockup_descriptor.dart';
export 'src/mockup_page_descriptor.dart';
export 'src/mockup_descriptor.dart';
export 'src/mockup_container.dart';
export 'src/mockup_app.dart';
export 'src/settings/settings_controller.dart';
export 'src/settings/settings_service.dart';

void startSimluator(MockupDescriptor mockupDescriptor, [bool deviceSimulatorEnabled = true]) async {
  // Set up the SettingsController, which will glue user settings to multiple
  // Flutter Widgets.
  final settingsController = SettingsController(SettingsService());
  settingsController.updateThemeMode(ThemeMode.dark);
  // Load the user's preferred theme while the splash screen is displayed.
  // This prevents a sudden theme change when the app is first displayed.
  await settingsController.loadSettings();

  // Run the app and pass in the SettingsController. The app listens to the
  // SettingsController for changes, then passes it further down to the
  // SettingsView.

  runApp(MockupApp(
    settingsController: settingsController,
    mockupDescriptor: mockupDescriptor,
    enabled: deviceSimulatorEnabled,
  ));
}
