import 'package:dotup_device_simulator/dotup_device_simulator.dart';
import 'package:flutter/material.dart';

import 'dotup_flutter_mockups_app.dart';
import 'mockup_descriptor.dart';
import 'settings/settings_controller.dart';

const bool debugEnableDeviceSimulator = true;

// void main() => runApp(MyApp());

class MockupApp extends StatelessWidget {
  MockupApp({
    Key? key,
    required this.settingsController,
    required this.mockupDescriptor,
    required this.enabled,
  }) : super(key: key);

  SettingsController settingsController;
  final MockupDescriptor mockupDescriptor;
  final bool enabled;

  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      title: 'dotup Flutter prototyping',
      scrollBehavior: DesktopScrollBehavior(),
      home: DeviceSimulator(
        initialDeviceIndex: 3,
        initialPlatform: TargetPlatform.android,
        orientation: Orientation.portrait,
        brightness: Brightness.dark,
        enable: enabled,
        androidShowNavigationBar: false,
        builder: (context) {
          return DotupFlutterMockupsApp(
            settingsController: settingsController,
            mockupDescriptor: mockupDescriptor,
          );
        },
      ),
    );
  }
}
