import 'package:dotup_flutter_mockups/src/mockup_page_descriptor.dart';
import 'package:flutter/material.dart';

class MockupDropDown extends StatelessWidget {
  const MockupDropDown({
    Key? key,
    required this.pages,
    required this.currentIndex,
  }) : super(key: key);

  final List<MockupPageDescriptor> pages;
  final int currentIndex;

  @override
  Widget build(BuildContext context) {
    return Material(
      child: PopupMenuButton<MockupPageDescriptor>(
        key: key,
        // color: Colors.transparent,
        padding: EdgeInsets.zero,
        initialValue: pages.first,
        onSelected: (value) => print(value),
        itemBuilder: (context) => _getMenuItems(context),
      ),
    );
  }

  List<PopupMenuItem<MockupPageDescriptor>> _getMenuItems(BuildContext context) {
    var index = 1;
    final style = TextStyle(color: index == currentIndex ? Colors.white : null);

    return pages.map((e) {
      index++;
      return PopupMenuItem(
        child: ListTile(
          // tileColor: index == currentIndex ? Colors.grey.shade800 : null,
          contentPadding: EdgeInsets.symmetric(horizontal: 10),
          dense: true,
          title: Text(
            e.title,
            style: style,
          ),
          leading: Text(
            e.number.toString(),
            style: style,
          ),
        ),
        value: e,
        enabled: index != currentIndex,
      );
    }).toList();
  }
}
